body {
  padding: 0;
  margin: 0;
}

.login__swiper {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
}

.login__swiper img {
  height: 100%;
  width: 100%;

  object-fit: cover;
}

.login__content {
  position: absolute;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

.login__box {
  border-radius: 16px;
  box-sizing: border-box;
  position: absolute;

  top: 50%;
  transform: translateY(-50%);
  right: 150px;
  display: flex;
  justify-content: space-between;
  background-color: #ffffff;
  transform-origin: bottom left;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
}

.login__box-left {
  width: 540px;
  padding: 30px 56px 64px;
  box-sizing: border-box;
  color: var(--el-text-color-primary, rgba(48, 49, 51, 1));
}
.login-box-img {
  background: url("../images/login/智农事.png") no-repeat;
  background-size: auto 100%;
}
.tian_he .login-box-img {
  background: url("../images/login/天禾.png") no-repeat;
  background-size: auto 100%;
}
.fnkj .login-box-img {
  background: url("../images/login/丰农.png") no-repeat;
  background-size: auto 100%;
}

.login__title {
  margin-bottom: 24px;
  margin-top: 24px;

  color: var(--el-text-color-primary, rgba(48, 49, 51, 1));

  font-family: Source Han Sans CN;
  font-size: 36px;
  font-weight: 700;
  line-height: 36px;
}
.fnkj .login__title {
  font-size: 30px;
}
.login__hr {
  /* 矩形 3 */
  width: 150px;
  height: 8px;
  border-radius: 5px;
  background: var(--主色, rgba(0, 160, 81, 1));
  margin-bottom: 42px;
}

.tian_he .login__hr {
  width: 360px;
  height: 4px;
  border-radius: 5px;
  background: rgba(233, 85, 6, 1);
  margin-bottom: 42px;
  position: relative;
}
.tian_he .login__hr::after {
  position: absolute;
  content: "";
  left: 0;
  top: 0;
  height: 4px;
  width: 286px;
  border-radius: 5px;
  background: rgba(0, 153, 68, 1);
}
.login__checkbox span {
  color: white !important;
}

.login__form input[type="password"]::-webkit-credentials-cramble-button {
  appearance: none !important;
}

.login__form input[type="password"]::-ms-reveal {
  display: none !important;
}

.login__form input[type="password"]::-ms-clear {
  display: none !important;
}

.verification-code {
  background-size: 135px 48px;
  background-repeat: no-repeat;
  width: 100%;
  height: 100%;
  background: transparent;
  pointer-events: all;
}
